UiPath Documentation
orchestrator
latest
false
Wichtig :
Es kann 1–2 Wochen dauern, bis die Lokalisierung neu veröffentlichter Inhalte verfügbar ist.

Anleitung für die Orchestrator-API

Letzte Aktualisierung 22. Mai 2026

Anfragen zu Assets

Hinweis:

Globale und Pro-Roboter-Textressourcen unterstützen bis zu 1.000.000 Zeichen.

Wichtig:
  • $filter -Abfragen geben das Ergebnis eines benutzerdefinierten Filters zurück, der die Parameter Name und Beschreibung in einer contains -Funktion verwendet.

Abrufen eines bestimmten Assets

Mit dem folgenden Aufruf können Sie alle verfügbaren Informationen für das Asset mit dem DocAPITest -Namen und der 455 -ID anzeigen.

Abrufen

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/Assets/UiPath.Server.Configuration.OData.GetRobotAsset(robotId='455',assetName='DocAPITest')

Anforderungsheader

SchlüsselWert
AutorisierungInhaber

Antwortcode

200 OK

Antworttext

{
    "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
    "Name": "DocAPITest",
    "ValueType": "Text",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": ""
}
{
    "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
    "Name": "DocAPITest",
    "ValueType": "Text",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": ""
}

Abrufen eines bestimmten Assets nach Namen

Sie können ein bestimmtes Asset anhand seines Namens mithilfe des GetAssetByName -Endpunkts abrufen. Dies ist nützlich, wenn Sie den Asset-Namen bereits kennen und seinen Wert außerhalb eines Automatisierungsworkflows abrufen möchten.

Abrufen

/api/Assets/name/{name}/value

Anforderungsheader

SchlüsselWert
AutorisierungInhaber
X-UIPATH-OrganizationUnitIdOrdner-ID

Beispielanforderung

GET /api/Assets/name/Testing/value
Authorization: Bearer {access_token}
X-UIPATH-OrganizationUnitId: {folderId}
GET /api/Assets/name/Testing/value
Authorization: Bearer {access_token}
X-UIPATH-OrganizationUnitId: {folderId}

Antwortcode

200 OK

Antworttext

{
  "Name": "Testing",
  "ValueType": "Credential",
  "Value": "username: Testing",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "SecretValue": "",
  "CredentialUsername": "Testing",
  "CredentialPassword": "Testing",
  "ExternalName": null,
  "CredentialStoreId": 1,
  "KeyValueList": [],
  "ConnectionData": null,
  "Id": 1
}
{
  "Name": "Testing",
  "ValueType": "Credential",
  "Value": "username: Testing",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "SecretValue": "",
  "CredentialUsername": "Testing",
  "CredentialPassword": "Testing",
  "ExternalName": null,
  "CredentialStoreId": 1,
  "KeyValueList": [],
  "ConnectionData": null,
  "Id": 1
}

Abrufen nach Roboter-Assets

Um eine GET-Abfrage an den Endpunkt /odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByRobotId() durchzuführen, müssen Sie robotId und assetName in der URL angeben. Bitte beachten Sie, dass nur der Benutzername für Assets nach Roboter-Anmeldedaten zurückgegeben wird, wie Sie im folgenden Beispiel sehen können.

Abrufen

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByRobotId(robotId=193,assetName='Testing')

Anforderungsheader

SchlüsselWert
AutorisierungInhaber

Antwortcode

200 OK

Antworttext

{
  "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
  "Name": "Testing",
  "ValueType": "Credential",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "CredentialUsername": "DocBot",
  "CredentialPassword": ""
}
{
  "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
  "Name": "Testing",
  "ValueType": "Credential",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "CredentialUsername": "DocBot",
  "CredentialPassword": ""
}

Hinzufügen eines Assets

Im folgenden Beispiel können Sie ein neues globales Asset vom Typ Text erstellen.

Posten

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/Assets

Anforderungsheader

SchlüsselWert
AutorisierungInhaber

Anforderungstext

{
    "Name": "DocAPITest",
    "ValueScope": "Global",
    "ValueType": "Text", 
    "StringValue": "An asset added through an API call"
}
{
    "Name": "DocAPITest",
    "ValueScope": "Global",
    "ValueType": "Text", 
    "StringValue": "An asset added through an API call"
}

Antwortcode

200 OK

Antworttext

{
    "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#Assets/$entity",
    "Name": "DocAPITest",
    "CanBeDeleted": true,
    "ValueScope": "Global",
    "ValueType": "Text",
    "Value": "An asset added through an API call",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": "",
    "Id": 455,
    "KeyValueList": []
}
{
    "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#Assets/$entity",
    "Name": "DocAPITest",
    "CanBeDeleted": true,
    "ValueScope": "Global",
    "ValueType": "Text",
    "Value": "An asset added through an API call",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": "",
    "Id": 455,
    "KeyValueList": []
}

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben